Package org.apache.tomcat.dbcp.pool2

# Interface UsageTracking<T>

Type Parameters:
  `T` - The type of object provided by the pool.

All Known Implementing Classes:
  `GenericObjectPool`

public interface UsageTracking<T>
This interface may be implemented by an object pool to enable clients (primarily those clients that wrap pools to provide pools with extended features) to provide additional information to the pool relating to object using allowing more informed decisions and reporting to be made regarding abandoned objects.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`use(T pooledObject)`
This method is called every time a pooled object is used to enable the pool to better track borrowed objects.

## Method Details

### use

void use(T pooledObject)
This method is called every time a pooled object is used to enable the pool to better track borrowed objects.

Parameters:
  `pooledObject` - The object that is being used